%global momorel 1
%global gobject_introspection_version 1.35.9
%global grilo_version 0.3.3
%global gtk3_version 3.22.2

Name:		gnome-music
Summary:	Music player and management application for GNOME
Version: 	3.23.92
Release: 	%{momorel}m%{?dist}
Group:		User Interface/Desktops
# The sources are under the GPLv2+ license, except for:
# - the bundled libgd which is LGPLv2+,
# - the gnome-music icon which is CC-BY-SA
#
# Also: https://bugzilla.gnome.org/show_bug.cgi?id=706457
License:       "(GPLv2+ with exceptions) and LGPLv2+ and CC-BY-SA"
URL:           http://wiki.gnome.org/Apps/Music
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.23/%{name}-%{version}.tar.xz
NoSource: 0

BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0) >= %{gobject_introspection_version}
BuildRequires: pkgconfig(grilo-0.3) >= %{grilo_version}
BuildRequires: pkgconfig(libmediaart-2.0)
BuildRequires: pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires: python3-devel
BuildRequires: tracker-devel >= 1.11.4

Requires:      gdk-pixbuf2
Requires:      gobject-introspection >= %{gobject_introspection_version}
Requires:      grilo >= %{grilo_version}
Requires:      grilo-plugins
Requires:      gstreamer1
Requires:      gstreamer1-plugins-base
Requires:      gtk3 >= %{gtk3_version}
Requires:      libmediaart
Requires:      libnotify >= 0.7.6
Requires:      pango
# Requires:      python3-gobject
Requires:      tracker

# # Can't migrate to GDBus, the server-side support is not implemented yet:
# #     https://bugzilla.gnome.org/show_bug.cgi?id=656330
# Requires:      python3-dbus

# libgd is not meant to be installed as a system-wide shared library.
# It is just a way for GNOME applications to share widgets and other common
# code on an ad-hoc basis.
Provides:      bundled(libgd)
%global __provides_exclude_from ^%{_libdir}/%{name}/libgd\.so$

%description
Music player and management application for GNOME.


%prep
%setup -q


%build
%configure --disable-silent-rules
%make 


%install
make install DESTDIR=%{buildroot} INSTALL="/usr/bin/install -p"

find %{buildroot} -name '*.la' -exec rm -f '{}' \;

%find_lang %{name} --with-gnome

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/bin/touch --no-create %{_datadir}/icons/HighContrast &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /bin/touch --no-create %{_datadir}/icons/HighContrast &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/HighContrast &>/dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/HighContrast &>/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f %{name}.lang
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/appdata/gnome-music.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Music.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/gnome-music-symbolic.svg
%{_libdir}/%{name}
%{_mandir}/man1/%{name}.1.bz2
%{python3_sitelib}/gnomemusic
%doc %{_datadir}/help/*/%{name}

%changelog
* Sun Mar 19 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.23.92-1m)
- update to 3.23.92

* Fri Feb  6 2015 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.14.3-2m)
- remove python3-dbus and python3-gobject from Requires for the moment, we don't have them...

* Sat Jan 31 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.3-1m)
- update to 3.14.3

* Sun Nov 16 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.2-1m)
- update to 3.14.2

* Sun Oct 19 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.1-1m)
- update to 3.14.1

* Sun Oct 05 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.0-1m)
- import from fedora

